Robot Simulator of the Robotics Group for Self-Organization of Control: SelectiveOne2OneWiring Class Reference

# SelectiveOne2OneWiring Class Reference

Implements a selective one to one wiring of robot sensors to inputs of the controller and controller outputs to robot motors. More...

`#include <selectiveone2onewiring.h>`

Inherits One2OneWiring.

Collaboration diagram for SelectiveOne2OneWiring:
[legend]

List of all members.

## Public Member Functions
| SelectiveOne2OneWiring (NoiseGenerator *noise, select_predicate *sel_sensor, int plotMode=Controller, const std::string &name="SelectiveOne2OneWiring")
| constructor
virtual | ~SelectiveOne2OneWiring ()
## Protected Member Functions
virtual bool | initIntern ()
| initializes the number of sensors and motors on robot side, calculate
virtual bool | wireSensorsIntern (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| Realizes selective one to one wiring from robot sensors to controller sensors.
## Protected Attributes
select_predicate * | sel_sensor

## Detailed Description

Implements a selective one to one wiring of robot sensors to inputs of the controller and controller outputs to robot motors.

## Constructor & Destructor Documentation

SelectiveOne2OneWiring | ( | NoiseGenerator * | noise,
|  | select_predicate * | sel_sensor,
|  | int | plotMode = `Controller`,
|  | const std::string & | name = `"SelectiveOne2OneWiring"` |
| ) |  |  |

constructor

Parameters:

  | noise | NoiseGenerator that is used for adding noise to sensor values
  | sel_sensor | binary predicate taking the index and the length (number of sensors) and decides which sensor to select

~SelectiveOne2OneWiring | ( |  | ) | `[virtual]`

## Member Function Documentation

bool initIntern | ( |  | ) | `[protected, virtual]`

initializes the number of sensors and motors on robot side, calculate

Reimplemented from One2OneWiring.

bool wireSensorsIntern | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise |
| ) |  |  | `[protected, virtual]`

Realizes selective one to one wiring from robot sensors to controller sensors.

Reimplemented from One2OneWiring.

## Member Data Documentation

select_predicate* sel_sensor`[protected]`

The documentation for this class was generated from the following files:

- selectiveone2onewiring.h
- selectiveone2onewiring.cpp